Bug 22154 - Subtype search for Format - Braille doesn't look for the right codes
Summary: Subtype search for Format - Braille doesn't look for the right codes
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-17 15:22 UTC by Caroline Cyr La Rose
Modified: 2019-05-10 20:51 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 22154: Fix search for Braille from Advanced search page (3.06 KB, patch)
2019-04-04 09:30 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22154: Fix search for Braille from Advanced search page (3.06 KB, patch)
2019-04-14 11:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22154: Fix search for Braille from Advanced search page (3.11 KB, patch)
2019-04-14 12:05 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 22154: Fix search for Braille from Advanced search page (3.16 KB, patch)
2019-04-14 22:47 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2019-01-17 15:22:13 UTC
When you do an advanced search and choose the Format subtype Braille, it looks for l-format:fk, but that is not the right code for Braille.

To reproduce:
1) In Administration > System preferences, make sure 'Subtypes' is checked in either OpacAdvSearchMoreOptions or OpacAdvSearchOptions 
2) Go in Advanced search
2.5) If necessary, click on 'More options'
3) In the 'Subtype limits' section, choose 'Braille' from the 'Format' drop-down menu
4) Click on 'Search'
5) In the breadcrumbs, it says 'Search  with limit(s): 'l-format:fk''

fk does not exist. It should be fb for Tactile material/Braille OR tc for Text/Braille

The codes for marc21 can be found here: http://www.loc.gov/marc/bibliographic/bd007f.html

Thank you!
Comment 1 Katrin Fischer 2019-04-04 09:30:21 UTC
Created attachment 87403 [details] [review]
Bug 22154: Fix search for Braille from Advanced search page

When you do an advanced search and choose the Format subtype
Braille, it looks for l-format:fk, but that is not the right
code for Braille.

fk does not exist. It should be fb for Tactile material/Braille
OR tc for Text/Braille

To test:
0) Catalog 2 records, one with 007 tc and another with tb
   Use value builder to verify both are for Braille.
1) In Administration > System preferences, make sure 'Subtypes'
   is checked in either OpacAdvSearchMoreOptions or OpacAdvSearchOptions
2) Go to Advanced search
3) If necessary, click on 'More options'
4) In the 'Subtype limits' section, choose 'Braille' from the 'Format'
   drop-down menu
5) Click on 'Search'
6) Verify both records were found
Comment 2 Michal Denar 2019-04-14 10:31:39 UTC
Hi,
with ES I get: 
No results match your search  with limit(s): 'ff7-01-02:tc or l-format:fb'. After full reindex.

With Zebra I get just one result for search: for braile (tc) or large print (tb). Never both for brail. 
Same results in OPAC and staff client.

Maybe I missed something. Some extra steps in test plan?
Comment 3 Katrin Fischer 2019-04-14 11:00:04 UTC
Hi Michal, 

I think with Elasticsearch that is another problem. Did you try if the other limits work with Elasticsearch as expected?

The problem with the search lies in my test plan, I typoed with the codes. Braile is: tc or fb (not tb). I will upload a patch with an updated test plan.
Comment 4 Katrin Fischer 2019-04-14 11:01:38 UTC
Created attachment 87945 [details] [review]
Bug 22154: Fix search for Braille from Advanced search page

When you do an advanced search and choose the Format subtype
Braille, it looks for l-format:fk, but that is not the right
code for Braille.

fk does not exist. It should be fb for Tactile material/Braille
OR tc for Text/Braille

To test:
0) Catalog 2 records, one with 007 tc and another with fb
   Use value builder to verify both are for Braille.
1) In Administration > System preferences, make sure 'Subtypes'
   is checked in either OpacAdvSearchMoreOptions or OpacAdvSearchOptions
2) Go to Advanced search
3) If necessary, click on 'More options'
4) In the 'Subtype limits' section, choose 'Braille' from the 'Format'
   drop-down menu
5) Click on 'Search'
6) Verify both records were found
Comment 5 Katrin Fischer 2019-04-14 11:02:16 UTC
Thx for testing!
Comment 6 Michal Denar 2019-04-14 12:05:53 UTC
Created attachment 87946 [details] [review]
Bug 22154: Fix search for Braille from Advanced search page

When you do an advanced search and choose the Format subtype
Braille, it looks for l-format:fk, but that is not the right
code for Braille.

fk does not exist. It should be fb for Tactile material/Braille
OR tc for Text/Braille

To test:
0) Catalog 2 records, one with 007 tc and another with fb
   Use value builder to verify both are for Braille.
1) In Administration > System preferences, make sure 'Subtypes'
   is checked in either OpacAdvSearchMoreOptions or OpacAdvSearchOptions
2) Go to Advanced search
3) If necessary, click on 'More options'
4) In the 'Subtype limits' section, choose 'Braille' from the 'Format'
   drop-down menu
5) Click on 'Search'
6) Verify both records were found

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 7 Michal Denar 2019-04-14 12:15:13 UTC
ES problem reportetd as bug 22704.
Comment 8 Chris Cormack 2019-04-14 22:47:21 UTC
Created attachment 87969 [details] [review]
Bug 22154: Fix search for Braille from Advanced search page

When you do an advanced search and choose the Format subtype
Braille, it looks for l-format:fk, but that is not the right
code for Braille.

fk does not exist. It should be fb for Tactile material/Braille
OR tc for Text/Braille

To test:
0) Catalog 2 records, one with 007 tc and another with fb
   Use value builder to verify both are for Braille.
1) In Administration > System preferences, make sure 'Subtypes'
   is checked in either OpacAdvSearchMoreOptions or OpacAdvSearchOptions
2) Go to Advanced search
3) If necessary, click on 'More options'
4) In the 'Subtype limits' section, choose 'Braille' from the 'Format'
   drop-down menu
5) Click on 'Search'
6) Verify both records were found

Signed-off-by: Michal Denar <black23@gmail.com>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 9 Nick Clemens 2019-04-16 13:26:04 UTC
Awesome work all!

Pushed to master for 19.05
Comment 10 Martin Renvoize 2019-04-26 11:48:22 UTC
Pushed to 18.11.x for 18.11.05
Comment 11 Lucas Gass 2019-05-10 20:51:06 UTC
backported to 18.05.x for 18.05.13